# IvyArtifactRepositoryMetaDataProvider

API Documentation: | `IvyArtifactRepositoryMetaDataProvider`

The meta-data provider for an Ivy repository. Uses the Ivy module descriptor (`ivy.xml`) to determine the meta-data for module versions and artifacts.

### Properties

Property | Description
`dynamicMode` | Returns true if dynamic resolve mode should be used for Ivy modules. When enabled, the `revConstraint` attribute for each dependency declaration is used in preference to the `rev` attribute. When disabled (the default), the `rev` attribute is always used.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `boolean` `dynamicMode`

Returns true if dynamic resolve mode should be used for Ivy modules. When enabled, the `revConstraint` attribute for each dependency declaration is used in preference to the `rev` attribute. When disabled (the default), the `rev` attribute is always used.